DMメディア添付ファイルの取得
DMメディア添付ファイルの取得.
APIリファレンスに戻る
/DM Endpoints
POST
/v3/twitter/dm-mediaAPI 認証
AuthorizationBearer token · header必須TwexAPIのグローバル認証トークン (Bearer Token)。ヘッダーに含める必要があります:Authorization: Bearer <YOUR_TWEXAPI_KEY>。
リクエストボディ
必須application/jsonconversation_idstring必須Conversation id from /v3/twitter/dm-history
media_hash_keystring必須Attachment media_hash_key from dm-history
key_versionstring | anyOptional message key_version from dm-history (recommended).
プロパティを表示プロパティを非表示
Any of:
string
stringany
anytype_namestring | anyOptional IMAGE/VIDEO/GIF hint
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyfilenamestring | anyOptional filename hint
プロパティを表示プロパティを非表示
Any of:
string
stringany
anypinstring | anyIdentity PIN (default 1234).
default: "1234"
プロパティを表示プロパティを非表示
Any of:
string
stringany
anycookiestring必須ユーザー自身が承認した Twitter セッション資格情報または auth_token(BYOC — Bring Your Own Cookie)。機密情報は保存されず、完全なステートレスプロキシとして実行されます。詳細は [認証・セキュリティガイド](/ja/authentication#write-operations--byoc-bring-your-own-cookie) および [Cookie 取得手順](https://youtube-promotion.pages.dev/how-to-get-twitter-cookie) を参照。
proxystring | anyOptional HTTP proxy. Example: http://username:password@ip:port
プロパティを表示プロパティを非表示
Any of:
string
stringany
anyレスポンス
200Playable media URL and metadata.
codeinteger必須HTTP ステータスコード(200 は成功)
msgstring必須レスポンスメッセージ(例: 'success')
dataGetDmMediaV3Data | any返却されるコアデータオブジェクトまたは配列
プロパティを表示プロパティを非表示
Any of:
GetDmMediaV3Data
urlstring必須Playable media URL
pathstring必須Media path on this API
content_typestring必須MIME type
filenamestring | anySuggested filename
プロパティを表示プロパティを非表示
Any of:
string
stringany
anybyte_lengthinteger必須File size in bytes
cachedboolean必須Whether the media was already available
any
any422パラメータバリデーションエラー
detailValidationError[]プロパティを表示プロパティを非表示
Array of
ValidationErrorlocstring | integer[]必須プロパティを表示プロパティを非表示
Array of
string | integerAny of:
string
stringinteger
integermsgstring必須レスポンスメッセージ(例: 'success')
typestring必須inputanyctxobject⚡インタラクティブテストPOST
⚡インタラクティブテスト / Try APIPOSTLive Console
🌐対象サーバー:
https://api.twexapi.io● 本番環境レディ
✍️
書き込み操作の認証情報ガイド(TwexAPIキー + Twitter Cookie)
1. TwexAPIプラットフォームキー (Bearer Token): 下記の「API認証」に入力してください(API呼び出しと課金認証に使用)。
2. TwitterアカウントCookie: ツイート・いいね・フォロー等の書き込み操作のため、下記リクエストボディの cookie フィールドに対象TwitterアカウントのCookie(例: auth_token=...; ct0=...)を入力してください。
🔑API 認証
📝リクエストボディapplication/json
📡
暂无响应数据
请在「请求配置」中确认参数后,点击底部的「发送请求」按钮。
リクエスト例
curl -X POST "https://api.twexapi.io/v3/twitter/dm-media" \
-H "Authorization: Bearer YOUR_TOKEN" \
-H "Content-Type: application/json" \
-d '{
"conversation_id": "1928096185664843776:1989842918455291904",
"media_hash_key": "blRIlZCVIO",
"key_version": "3",
"type_name": "VIDEO",
"filename": "clip.mp4",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
}'const response = await fetch("https://api.twexapi.io/v3/twitter/dm-media", {
method: "POST",
headers: {
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
body: JSON.stringify({
"conversation_id": "1928096185664843776:1989842918455291904",
"media_hash_key": "blRIlZCVIO",
"key_version": "3",
"type_name": "VIDEO",
"filename": "clip.mp4",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
})
});import requests
response = requests.post(
"https://api.twexapi.io/v3/twitter/dm-media",
headers={
"Authorization": "Bearer YOUR_TOKEN",
"Content-Type": "application/json"
},
json={
"conversation_id": "1928096185664843776:1989842918455291904",
"media_hash_key": "blRIlZCVIO",
"key_version": "3",
"type_name": "VIDEO",
"filename": "clip.mp4",
"pin": "1234",
"cookie": "ct0=abc123... or 2c4a4e1832096aa694c739b83c83b6d96d43eba7",
"proxy": "http://username:password@ip:port"
},
)レスポンス例
{
"code": 200,
"msg": "success",
"data": {
"url": "string",
"path": "string",
"content_type": "video/mp4",
"filename": "string",
"byte_length": 0,
"cached": true
}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}